Subject: bug#28766: Req. for correction: don't display non-platform fields in "stat". & block number derivation?

From: L A Walsh <[email-masked]>
Date: Mon, 09 Oct 2017 12:41:49 -0700

when I display 'stat', it displays fields my platform doesn't know
about.

Utilities "shouldn't" display fields that are specific to other platforms.

Specifically, I'm not aware of a linux (or, for that matter, a POSIX)
"Birth time".  Things are confusing enough w/o adding in other platform
info, like I used "." for input to stat and got:
  File: .
  Size: 8192        Blocks: 24         IO Block: 4096   directory
Device: 821h/2081d  Inode: 33394       Links: 7
Access: (0775/drwxrwxr-x)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2017-10-09 10:56:22.969487183 -0700
...
--------------
Where Size/Blocks & IO Block are a bit confusing --

I.e. -- where does the "24" blocks come from?  It looks like
it is only 2 (x4096) blocks long from the ls output:

  Ishtar:/etc/sysconfig> ll -d .
  drwxrwxr-x 7 8192 Oct  9 10:53 ./

This is verified by looking at output from xfs_bmap.

So .. where does the "24" blocks come from?

Thanks...
-linda